Description

History

#1 - 03/25/2016 04:04 PM - Lauren Walker

- Target version changed from 1.11.0to 1.11.1

#2 - 04/08/2016 05:01 PM - Lauren Walker

It looks like MetacatUl will not be able to access the NSF award REST API since they only have it available over HTTP. Since our registry is always
loaded over HTTPS, browsers will block the request.

#3 - 04/12/2016 12:29 PM - Lauren Walker

- Status changed from New to Resolved

This makes use of the ProxyPass Apache settings in order to work.

#4 - 04/20/2016 09:32 AM - Lauren Walker

| emailed NSF about enabling HTTPS for their Award API. This is their response:

Hello Lauren Walker,

Awards APl access over HTTPS is not planned in the short term but that it will be brought to NSF for their consideration.
Thank you,

Nicole Haggins

Fastlane Helpdesk
1-800-673-6188

#5 - 04/20/2016 01:33 PM - Matt Jones

We should seriously consider proxying this service anyways. Daily updates would be more than adequate, so if we run a server-side service that
asks for the NSF data daily, then would be available in digested form from our local addresses over https, we should be all set.

#6 - 04/20/2016 01:40 PM - Lauren Walker

| set up a proxy on dev.nceas.ucsb.edu to access the Awards APl and it is working well. | will set it up on arcticdata.io too when | upgrade MetacatUl
there.
